ATOI(3) | Library Functions Manual | ATOI(3)

# NAME

`atoi` —
convert ASCII string to integer

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <stdlib.h>`

int
`atoi`(const char *nptr);

# DESCRIPTION

The `atoi`() function converts the initial portion of the string pointed to by nptr to integer representation.

It is equivalent to:

    (int)strtol(nptr, NULL, 10);

# SEE ALSO

atof(3), atol(3), strtod(3), strtol(3), strtoul(3)

# STANDARDS

The `atoi`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

# CAVEATS

`atoi` does no overflow checking, handles unsigned numbers poorly, and handles strings containing trailing extra characters (like “123abc”) poorly. Careful use of strtol(3) and strtoul(3) can alleviate these problems.

June 13, 2018 | NetBSD 9.0